GetAdmin
/api/v1/admins/{admin}Fetch an administrator by name.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/admins/{admin}"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/admins/{admin}"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”namestringrequired
Response
Section titled “Response”200AdminAdmins are the set of users responsible for managing Oblique. They have special permissions to own API objects that aren’t explicitly owned by another user, team, or group. They are also responsible for system settings like integrations.
namestringAssigned by Oblique. The name of the admin API object. This is an arbitrary string and does not have to match the user’s name.
managementManagementHow this admin is managed. Set automatically by the server based on the calling client. Omitted from responses when the admin is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
userstringrequiredThe user that has been granted admin privileges.
Format:
users/{user}createTimestring (date-time)read-onlyThe time the admin was created.
updateTimestring (date-time)read-onlyThe time the admin was last updated.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |